package com.ElyStudio.leGaou.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class GetGameScreenData {

    private int statusCode;
    private String message;
    private int adEnabled;
    private String interstitialAdId;
    @SerializedName("trendingGameList")
    List<Games> trendingGameList;
    @SerializedName("gamesList")
    List<Games> gamesList;

    public GetGameScreenData() {
    }

    public GetGameScreenData(int statusCode, String message, int adEnabled, String interstitialAdId, List<Games> trendingGameList, List<Games> gamesList) {
        this.statusCode = statusCode;
        this.message = message;
        this.adEnabled = adEnabled;
        this.interstitialAdId = interstitialAdId;
        this.trendingGameList = trendingGameList;
        this.gamesList = gamesList;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(int statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getAdEnabled() {
        return adEnabled;
    }

    public void setAdEnabled(int adEnabled) {
        this.adEnabled = adEnabled;
    }

    public String getInterstitialAdId() {
        return interstitialAdId;
    }

    public void setInterstitialAdId(String interstitialAdId) {
        this.interstitialAdId = interstitialAdId;
    }

    public List<Games> getTrendingGameList() {
        return trendingGameList;
    }

    public void setTrendingGameList(List<Games> trendingGameList) {
        this.trendingGameList = trendingGameList;
    }

    public List<Games> getGamesList() {
        return gamesList;
    }

    public void setGamesList(List<Games> gamesList) {
        this.gamesList = gamesList;
    }
}
